Page MenuHomePhabricator

Add Ajapaik web app translation
Closed, ResolvedPublic

Description

Ajapaik crowdsourcing platform already has its mobile app translated on Translatewiki.

We now also want to migrate our web app translation management to Translatewiki.

Github repo (Translatewiki has been sent a collaborator invite already)
format: .po
location: ajapaik/ajapaik/locale/<language code>/LC_MESSAGES

Event Timeline

Puik created this task.May 10 2019, 10:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 10 2019, 10:58 PM
Puik updated the task description. (Show Details)May 10 2019, 11:02 PM
Puik updated the task description. (Show Details)May 11 2019, 9:39 AM
abi_ added a subscriber: abi_.May 17 2019, 5:26 AM

I have accepted the collaborator invite.

Puik added a comment.May 21 2019, 7:46 AM

So what's next?

abi_ added a comment.May 21 2019, 11:54 AM

Hi @Puik - I'll be submitting a patch to update the configuration files on Translatewiki to add this new project. I expect to get round to it either today or tomorrow.

abi_ claimed this task.May 21 2019, 1:38 PM
abi_ moved this task from Backlog to In Progress on the User-abi_ board.

Change 511832 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add Ajapaik web app translation

https://gerrit.wikimedia.org/r/511832

Change 511832 merged by jenkins-bot:
[translatewiki@master] Add Ajapaik web app translation

https://gerrit.wikimedia.org/r/511832

Change 511900 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Fix incorrect sourcePattern for Ajapaik web app

https://gerrit.wikimedia.org/r/511900

Change 511900 merged by jenkins-bot:
[translatewiki@master] Fix incorrect sourcePattern for Ajapaik web app

https://gerrit.wikimedia.org/r/511900

abi_ closed this task as Resolved.May 22 2019, 2:56 PM
abi_ moved this task from In Progress to Done on the User-abi_ board.
abi_ removed a project: Patch-For-Review.

This is done and deployed on Translatewiki.net

Ajapaik Web app

Ajapaik Web app - JavaScript

Puik added a subscriber: H2kks.Jul 17 2019, 4:09 PM
Puik added a comment.EditedJul 17 2019, 4:13 PM

@abi_, @Nikerabbit – we have Ajapaik dev camp going on at the moment (one more day to go) and we are also looking into the integration with Translatewiki that we have issues with (with the web app added most recently, no problems with the Android app).
Is there some online channel our developer @H2kks and also @Zache could be in contact with you? We have an open Slack workspace where we could have a dedicated channel if you could join it.
Our main question at the moment is how could we trigger pull/push in order to test some things – there are issues with whitespaces (with new lines) in some languages etc.

abi_ added a comment.Jul 17 2019, 5:03 PM

Hi @Puik

Short answer, it is not possible for you to trigger push, except by asking us and pull happens every few hours semi-autoamtically. We generally push translations out every Monday and Thursday.

The best way to contact us would be via IRC on mediawiki-i18n channel on Freenode.

Could you describe the issue you are having in some more detail? Maybe we could add some validations / checks on our end to avoid translators saving translations that have those issues.

H2kks added a comment.Jul 17 2019, 6:10 PM

Hi @abi_ ,

There are two issues happening,
The first issue is that the translations started with newline and whitespace characters. We have now edited the messages not to start with new lines and whitespaces.
When translations were added for some languages whitespace and newline character were not added. This caused the compilemessages step to fail, as both the message id (msgId) and message have to start with /n.
Other issues that we have noticed, is that in some languages there are duplicate msgId's which causes an error on compilemessages.

We think that the first issue is best fixed in source code, as having indenting and newlines in translations is error prone and can cause confusion.
Second issue is still under investigation.

abi_ added a comment.Jul 18 2019, 11:06 AM

Hi @H2kks

OK, please let us know if you'd like us to push out the translations. We actually have a push planned for today, and I will ping here once it is done.

abi_ added a comment.Jul 18 2019, 1:59 PM

Hi @H2kks , @Puik

Was just reviewing the translations submitted to Translatewiki.net from the Ajapaik-web project - https://translatewiki.net/wiki/Special:ManageMessageGroups/unattended

  1. We should not mark the source language (English) strings as fuzzy. Once you make changes to the source language, translatewiki.net will take care of marking the corresponding translations as fuzzy.
  2. Also please take a look at the pot file from the Dissemin project for an example on how to structure the file properly. The file I've linked to is the source language (English) file.
abi_ added a comment.Jul 18 2019, 2:19 PM

Hi @H2kks, @Puik

I've just exported the changes from Translatewiki.net - https://github.com/Ajapaik/ajapaik-web/commit/e7c3efdf65ca07f2d26619655fcdfec9d5a1a6ce

The translations were exported without merging the changes highlighted in the previous comment.

Let me know if you'd like me to run another export.

H2kks added a comment.Jul 18 2019, 2:49 PM

Hi abi_,

I have now removed the Fuzzy markings for english, can you please check if this can be used for syncing the changes?
I have now checked the pot file from Dissemin project. Is this something that we should include instead on english .po?

https://github.com/Ajapaik/ajapaik-web/blob/master/ajapaik/ajapaik/locale/en/LC_MESSAGES/django.po

abi_ added a comment.Jul 18 2019, 3:27 PM

Hi @H2kks

I suggested the Dissemin project for guidance, and your English po file is much better now. I'm going to merge these changes.

Note that this string, !!FUZZY!!Picture set has no under web-app - JavaScript still has fuzzy.

H2kks added a comment.EditedJul 18 2019, 3:29 PM

@abi_ Thanks for the update, will fix that as well

abi_ added a comment.Jul 18 2019, 3:45 PM

@H2kks - One more thing that I noticed is that since now your English po file no longer contains !!FUZZY!!, but your translations still do. For ex:

https://github.com/Ajapaik/ajapaik-web/blob/master/ajapaik/ajapaik/locale/pt-br/LC_MESSAGES/django.po#L99

#: ajapaik/ajapaik/forms.py:414
#| msgid "Album created"
msgid "!!FUZZY!!Album created"
msgstr "Álbum criado"

Might be a good idea to remove the fuzzy from there too to make the msgid the same as in English, so that translators don't have to re-translate that string again.

Generally such key / msgid renames are handled on Translatewiki.net but since there were so many of them (FUZZY was removed from English msgid), it will be easier to do it on your end.